package com.axelor.apps.hr.service;

import com.axelor.exception.AxelorException;
import com.google.inject.persist.Transactional;
import wslite.json.JSONObject;

public interface AuthorizationService {

  @Transactional(rollbackOn = {Exception.class})
  public void saveAA(JSONObject jsonObject) throws AxelorException;

  @Transactional(rollbackOn = {Exception.class})
  public void saveAE(JSONObject jsonObject) throws AxelorException;

  @Transactional(rollbackOn = {Exception.class})
  public void saveBS(JSONObject jsonObject) throws AxelorException;

  @Transactional(rollbackOn = {Exception.class})
  public void saveAP(JSONObject jsonObject) throws AxelorException;
}
